@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
    .prose h1 {
    }

    a {
        @apply link link-hover;
    }

    .content {
        @apply grid w-full relative;
        grid-auto-columns: max-content auto;
    }

    .left-column {
        @apply items-start grid col-start-1 row-start-1 grid-cols-1 grid-rows-1 h-lvh overscroll-contain;
        @apply start-0 justify-items-start overflow-auto pointer-events-none fixed top-0 w-full;
        @apply lg:block lg:sticky lg:w-auto lg:overscroll-auto lg:pointer-events-auto lg:visible;
        @apply z-30;
    }

    .loading-logo svg g {
        animation: flow-animation 1500ms linear infinite normal forwards;
    }

    .loading-logo svg g path {
        @apply fill-base-content;
    }

    @keyframes flow-animation {
        0% {
            opacity: 1;
        }
        50% {
            opacity: 0.1;
        }
        100% {
            opacity: 1;
        }
    }
}
